## org.apache.batik.ext.awt.image.rendered
Class DiffuseLightingRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.DiffuseLightingRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage

public class DiffuseLightingRed
extends AbstractRed

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`DiffuseLightingRed(double kd, Light light, BumpMap bumpMap, java.awt.Rectangle litRegion, double scaleX, double scaleY, boolean linear)`

Method Summary
`java.awt.image.WritableRaster` `copyData(java.awt.image.WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getData, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTile, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiffuseLightingRed

    public DiffuseLightingRed(double kd,
                              Light light,
                              BumpMap bumpMap,
                              java.awt.Rectangle litRegion,
                              double scaleX,
                              double scaleY,
                              boolean linear)

Method Detail

### copyData

    public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster wr)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.